Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Interface ContainerMapping

All Known Subinterfaces:
  SDKCollectionMapping

All Known Implementing Classes:
  AbstractCompositeCollectionMapping, AbstractCompositeDirectCollectionMapping, CollectionMapping, EISOneToManyMapping, SDKAggregateCollectionMapping, SDKDirectCollectionMapping, SDKObjectCollectionMapping, XMLAnyCollectionMapping

public interface ContainerMapping

Interface used by clients to interact with the assorted mappings that use `ContainerPolicy`.

Since:
  TOPLink/Java 4.0
See Also:
  `oracle.toplink.internal.queryframework.ContainerPolicy`

Method Summary
`ContainerPolicy` | `getContainerPolicy()` PUBLIC: Return the mapping's container policy.
`void` | `setContainerPolicy(ContainerPolicy containerPolicy)` PUBLIC: Set the mapping's container policy.
`void` | `useCollectionClass(java.lang.Class concreteClass)` PUBLIC: Configure the mapping to use an instance of the specified container class to hold the target objects.
`void` | `useMapClass(java.lang.Class concreteClass, java.lang.String methodName)` PUBLIC: Configure the mapping to use an instance of the specified container class to hold the target objects.

Method Detail

### getContainerPolicy

    public ContainerPolicy getContainerPolicy()

  PUBLIC: Return the mapping's container policy.

### setContainerPolicy

    public void setContainerPolicy(ContainerPolicy containerPolicy)

  PUBLIC: Set the mapping's container policy.

### useCollectionClass

    public void useCollectionClass(java.lang.Class concreteClass)

  PUBLIC: Configure the mapping to use an instance of the specified container class to hold the target objects.

  The container class must implement (directly or indirectly) the `java.util.Collection` interface.

### useMapClass

    public void useMapClass(java.lang.Class concreteClass,
                            java.lang.String methodName)

  PUBLIC: Configure the mapping to use an instance of the specified container class to hold the target objects. The key used to index a value in the `Map` is the value returned by a call to the specified zero-argument method. The method must be implemented by the class (or a superclass) of any value to be inserted into the `Map`.

  The container class must implement (directly or indirectly) the `java.util.Map` interface.

  To facilitate resolving the method, the mapping's referenceClass must set before calling this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD